/*
** ns_recv_cmd.c for phpns in /tmp/ns
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Sun Apr  6 13:30:21 2008 corentin chary
** Last update Sun Apr  6 15:06:31 2008 corentin chary
*/

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <string.h>

#include "ns.h"

char		*ns_receive_cmd(t_ns *ns, int timeout)
{
  fd_set	rfds;
  int		retval;
  char		*line;

  FD_ZERO(&rfds);
  FD_SET(ns->sock, &rfds);
  retval = select(ns->sock + 1, &rfds, NULL, NULL, (struct timeval[]) {{timeout, 0}});
  if (retval <= 0)
    return (NULL);
  line = ns_recv_line(ns);
  return (line);
}
