/*
** ns_send_line.c for phpns in /tmp/ns
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Sun Apr  6 10:23:12 2008 corentin chary
** Last update Sun Apr  6 10:23:15 2008 corentin chary
*/

#include "ns.h"

#include <unistd.h>
#include <string.h>
#include <sys/socket.h>
#include <strlcat.h>

ssize_t         ns_send_line(t_ns *ns, const char *fmt, ...)
{
  char          buf[BUFSIZ * 2];
  ssize_t       ret;
  va_list	ap;

  va_start(ap, fmt);
  ret = vsnprintf(buf, sizeof (buf), fmt, ap);
  strlcat(buf, "\n", sizeof (buf));
  ret += sizeof ("\n");
  printf(">> %s", buf);
  ret = send(ns->sock, buf, ret - 1, 0);
  va_end(ap);
  return (ret);
}
