/*
** ns_recv_line.c for phpns in /tmp/ns
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Sun Apr  6 10:23:02 2008 corentin chary
** Last update Sun Apr  6 10:23:03 2008 corentin chary
*/

#include <string.h>
#include "ns.h"

static ssize_t	_recv(t_ns *ns)
{
  size_t	bytes;
  ssize_t	ret;

  bytes =  BUFSIZ - ns->bufsize - 1;
  ret = recv(ns->sock, ns->inbuf, bytes, 0);
  if (ret < 0)
    perror("recv()");
  else
    {
      ns->bufsize += ret;
      ns->inbuf[ns->bufsize] = '\0';
    }
  return (ret);
}

static char	*getline(t_ns *ns)
{
  char		*ret;
  char		*p;

  p = strchr(ns->inbuf, '\n');
  *p = '\0';
  ret = strdup(ns->inbuf);
  ns->bufsize -= strlen(ns->inbuf) + 1;
  memmove(ns->inbuf, p + 1, ns->bufsize + 1);
  return (ret);
}


char		*ns_recv_line(t_ns *ns)
{
  char		*p;
  
  if (_recv(ns) <= 0)
    return (NULL);
  p = getline(ns);
  if (ns->bufsize == BUFSIZ - 1)
    {
      ns->toolong = 1;
      ns->bufsize = 0;
    }
  printf("<< %s\n", p);
  return (p);
}
