/*
** ns_user_cmd.c for phpns in /tmp/ns
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Sun Apr  6 10:30:14 2008 corentin chary
** Last update Sun Apr  6 11:02:40 2008 corentin chary
*/

#include "ns.h"
#include "php.h"
#include "php_ini.h"
#include "ext/standard/info.h"
#include "ext/standard/url.h"
#include "php_ns.h"

void	ns_user_cmd_msg_user(t_ns *ns, const char *user, const char *msg)
{
  char	*emsg;
  char	*euser;

  euser = ns_encode(user);
  emsg = ns_encode(msg);
  ns_send_line(ns, "user_cmd msg_user %s msg %s", euser, emsg);
  efree(euser);
  efree(emsg);
}

void	ns_user_cmd_who(t_ns *ns, const char *who)
{
  char	*ewho;

  ewho = ns_encode(who);
  ns_send_line(ns, "user_cmd who %s", ewho);
  efree(ewho);
}

void	ns_user_cmd_watch_log_user(t_ns *ns , const char *user)
{
  char	*euser;

  euser = ns_encode(user);
  ns_send_line(ns, "user_cmd watch_log_user %s", euser);
  efree(euser);
}
