/*
** php_ns.h for phpns in /tmp/ns
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Sun Apr  6 10:24:08 2008 corentin chary
** Last update Sun Apr  6 16:37:00 2008 corentin chary
*/

/* $Id: header,v 1.16.2.1.2.1 2007/01/01 19:32:09 iliaa Exp $ */

#ifndef PHP_NS_H
#define PHP_NS_H

extern zend_module_entry ns_module_entry;
#define phpext_ns_ptr &ns_module_entry

#ifdef PHP_WIN32
#define PHP_NS_API __declspec(dllexport)
#else
#define PHP_NS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(ns);
PHP_MSHUTDOWN_FUNCTION(ns);
PHP_RINIT_FUNCTION(ns);
PHP_RSHUTDOWN_FUNCTION(ns);
PHP_MINFO_FUNCTION(ns);

PHP_FUNCTION(ns_connect);
PHP_FUNCTION(ns_close);
PHP_FUNCTION(ns_state);
PHP_FUNCTION(ns_user_cmd_msg_user);
PHP_FUNCTION(ns_user_cmd_who);
PHP_FUNCTION(ns_user_cmd_watch_log_user);
PHP_FUNCTION(ns_receive_cmd);

ZEND_BEGIN_MODULE_GLOBALS(ns)
	long		default_port;
	char		*default_group;
	char		*default_location;
	char		*default_system;
ZEND_END_MODULE_GLOBALS(ns)

#ifdef ZTS
#define NS_G(v) TSRMG(ns_globals_id, zend_ns_globals *, v)
#else
#define NS_G(v) (ns_globals.v)
#endif

#endif	/* PHP_NS_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
